@import url('https://fonts.googleapis.com/css?family=Roboto&display=swap');
body {
    background: none;
    font-family: 'Roboto', sans-serif;
}

.container {
    background-color: rgba(25, 24, 34, 0.75);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 70%;
    padding: none !important;
}

#ban,
#warn {
    padding: 48px;
}

#banlist,
#warnlist {
    height: 80vh;
    overflow-y: scroll;
    overflow-x: hidden;
    margin-left: -150px;
    margin-right: -150px;
    scrollbar-width: 0px;
    table-layout: auto;
}

#banlist::-webkit-scrollbar,
#warnlist::-webkit-scrollbar {
    width: 10px;
    background-color: #222;
}

#banlist::-webkit-scrollbar-thumb,
#warnlist::-webkit-scrollbar-thumb {
    width: 10px;
    background-color: #444;
}

#assistreq {
    background-color: rgba(25, 24, 34, 0.35);
    padding: 8px 8px;
    position: absolute;
    color: white;
    height: auto;
    width: fit-content;
    top: 25vh;
    right: 25px;
}

.arrow {
    border: solid white;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
}

a[aria-expanded="false"]>.arrow {
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
}

a[aria-expanded="true"]>.arrow {
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
}

.page-link.active {
    background-color: #1d2124!important;
}

.toast {
    position: absolute;
    bottom: 75px;
    left: 50%;
    transform: translateX(-50%);
    color: white;
    font-size: 13pt;
    background-color: rgba(25, 24, 34, 0.75);
}


/* CREDITS TO Jack Rugile @ CodePen https://codepen.io/jackrugile/pen/JddmaX */

.loader {
    bottom: 0;
    left: 0;
    overflow: hidden;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 99999;
}

.loader-inner {
    bottom: 0;
    height: 60px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 100px;
}

.loader-line-wrap {
    animation: spin 2000ms cubic-bezier(.175, .885, .32, 1.275) infinite;
    box-sizing: border-box;
    height: 50px;
    left: 0;
    overflow: hidden;
    position: absolute;
    top: 0;
    transform-origin: 50% 100%;
    width: 100px;
}

.loader-line {
    border: 4px solid transparent;
    border-radius: 100%;
    box-sizing: border-box;
    height: 100px;
    left: 0;
    margin: 0 auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 100px;
}

.loader-line-wrap:nth-child(1) {
    animation-delay: -50ms;
}

.loader-line-wrap:nth-child(2) {
    animation-delay: -100ms;
}

.loader-line-wrap:nth-child(3) {
    animation-delay: -150ms;
}

.loader-line-wrap:nth-child(4) {
    animation-delay: -200ms;
}

.loader-line-wrap:nth-child(5) {
    animation-delay: -250ms;
}

.loader-line-wrap:nth-child(1) .loader-line {
    border-color: hsl(0, 80%, 60%);
    height: 90px;
    width: 90px;
    top: 7px;
}

.loader-line-wrap:nth-child(2) .loader-line {
    border-color: hsl(60, 80%, 60%);
    height: 76px;
    width: 76px;
    top: 14px;
}

.loader-line-wrap:nth-child(3) .loader-line {
    border-color: hsl(120, 80%, 60%);
    height: 62px;
    width: 62px;
    top: 21px;
}

.loader-line-wrap:nth-child(4) .loader-line {
    border-color: hsl(180, 80%, 60%);
    height: 48px;
    width: 48px;
    top: 28px;
}

.loader-line-wrap:nth-child(5) .loader-line {
    border-color: hsl(240, 80%, 60%);
    height: 34px;
    width: 34px;
    top: 35px;
}

@keyframes spin {
    0%,
    15% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(360deg);
    }
}